package org.unicore.ajo;

import org.unicore.sets.ResourceSet;

/**
 * FileTasks relate files to Portfolios
 *
 * @author S. van den Berghe (fecit)
 * 
 * @since AJO 1
 *
 * @version FileTask.java 1.5 09/09/02 
 * 
 **/
public abstract class FileTask extends AbstractTask {

    static final long serialVersionUID = -3208758285587839840L;
    
    /**
     * Create a new FileTask.
     * <p>
     * @param name The name of the FileTask
     * @param extra_information Client supplied extra information about the FileTask
     * @param resources Resources needed to execute the FileTask
     *
     **/
    protected FileTask( String name,
                        byte[] extra_information,
                        ResourceSet resource_limits
                      ) {
        super(name,extra_information,resource_limits);
    }

}
//
// Change history:
//           6 May 2000 SvdB V3.0 
//           7 Dec 1998 SvdB Second release to Unicore 
//          12 Jun 1998 SvdB Initial release to Unicore 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
