package org.unicore.ajo;

/**
 * QueryServices return information from the NJS.
 * <p>
 * The information returned can be about the state of AJOs, contents of Outcomes,
 * Vsite resources etc
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 2
 *
 * @version QueryService.java 1.5 09/09/02 
 *
 **/
public abstract class QueryService extends AbstractService {

    static final long serialVersionUID = -735694040821124981L;

    /**
     * Create a new QueryService.
     * <p>
     * @param name The name of the QueryService
     * @param extra_information Client supplied extra information about the QueryService
     *
     **/
    protected QueryService(String name, byte[] extra_information) {
        super(name, extra_information);
    }

}
//
// Change history:
//           5 May 2000 SvdB V3.0
//           7 Dec 1998 SvdB Second release to Unicore 
//           5 Nov 1998 SvdB Created 
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
