package org.unicore.outcome;

import org.unicore.ajo.SymbolicLink;

/**
 * The status and logs of executing a {@link org.unicore.ajo.SymbolicLink}.
 *
 * @see org.unicore.ajo.SymbolicLink
 *
 * @author S. van den Berghe (fecit)
 *
 * @since AJO 4.0
 *
 * @version SymbolicLink_Outcome.java 1.2 05/13/02 
 * 
 **/
public class SymbolicLink_Outcome extends AbstractTask_Outcome {

    static final long serialVersionUID = 8550506312842206861L;

    public SymbolicLink_Outcome() {
        this(null,null);
    }

    /**
     * Create a new SymbolicLink_Outcome.
     * <p>
     * This will hold the standard information from {@link Outcome}.
     *
     * @param source The SymbolicLink for which this Outcome will hold the results.
     * @param initial The status of the RenameFile at the time that the Outcome is created.
     *
     **/
    public SymbolicLink_Outcome(SymbolicLink source, AbstractActionStatus initial) {
        super(source, initial);
    }

}
//
// Change history:
//          11 Apr 2002 SvdB Created
//
//             Copyright (c) UNICORE Forum e.V. 2000 - 2002
//
//     Use and distribution is subject to the Community Source Licence.
//     A copy of the Community Source Licence came with this distribution.
//
//     Further information can be obtained from www.unicore.org
